ifndef METIS_MK
METIS_MK := 1


.SECONDARY:

polyml-5.7.tar.gz:
	wget https://github.com/polyml/polyml/archive/v5.7.tar.gz -O $@
	md5sum -c $@.md5

polyml-5.7: polyml-5.7.tar.gz
	tar xzf $<

polyml-%/local/bin/poly: polyml-%
	@mkdir -p `dirname $@`
	cd $< && ./configure --prefix=$(shell pwd)/$</local && make && make install

Metis-2.3-20171005:
	git clone https://github.com/gilith/metis $@
	cd $@ && git checkout 174a9a82e8863d2f877eb50b22dc4fd7786f5d96

Metis-2.3-20171021:
	git clone https://github.com/gilith/metis $@
	cd $@ && git checkout ffad0df4a954d0c24bea8683e0019810f4662837

Metis-%/bin/polyml/metis: Metis-% polyml-5.7/local/bin/poly
	cd $< && PATH=$(shell pwd)/polyml-5.7/local/bin:$(PATH) make

metis-%: Metis-%/bin/polyml/metis
	ln -sf $< $@

endif
