################################################################################
# Bushy / 1s / defcnf
################################################################################

define montecop-170123-srmi
out/bushy/1s/defcnf/montecop-170123-srmi$(MAXITERS): $$(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-srmi$(MAXITERS)/%)
out/bushy/1s/defcnf/montecop-170123-srmi$(MAXITERS)/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $$@`"
	-/usr/bin/time -o "$$@.time" timeout 1 $$^ -mlreward 0 -sizereward 1 -maxiters $(MAXITERS) > "$$@"
endef

define montecop-170123-srsd
out/bushy/1s/defcnf/montecop-170123-srsd$(SIMDEPTH): $$(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-srsd$(SIMDEPTH)/%)
out/bushy/1s/defcnf/montecop-170123-srsd$(SIMDEPTH)/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $$@`"
	-/usr/bin/time -o "$$@.time" timeout 1 $$^ -mlreward 0 -sizereward 1 -simdepth $(SIMDEPTH) > "$$@"
endef


#MAXITERSS = 8 16 32 64
#$(foreach MAXITERS,$(MAXITERSS),$(eval $(montecop-170123-srmi)))
#out/bushy/1s/defcnf/montecop-170123-srmi: $(MAXITERSS:%=out/bushy/1s/defcnf/montecop-170123-srmi%)

#SIMDEPTHS = $(shell seq 0 64)
#$(foreach SIMDEPTH,$(shell seq 0 128),$(eval $(montecop-170123-srsd)))
#out/bushy/1s/defcnf/montecop-170123-srsd: $(SIMDEPTHS:%=out/bushy/1s/defcnf/montecop-170123-srsd%)

out/bushy/1s/defcnf/montecop-170123-r0: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-r0/%)
out/bushy/1s/defcnf/montecop-170123-r0/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 > "$@"

out/bushy/1s/defcnf/montecop-170123-nr: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-nr/%)
out/bushy/1s/defcnf/montecop-170123-nr/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -naivereward 1 > "$@"

out/bushy/1s/defcnf/montecop-170123-srpd0.3: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-srpd0.3/%)
out/bushy/1s/defcnf/montecop-170123-srpd0.3/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -sizereward 1 -prevdampen 0.3 > "$@"

out/bushy/1s/defcnf/montecop-170123-srcl: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-srcl/%)
out/bushy/1s/defcnf/montecop-170123-srcl/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -sizereward 1 -exppol cutlit > "$@"

out/bushy/1s/defcnf/montecop-170123-srcc: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-srcc/%)
out/bushy/1s/defcnf/montecop-170123-srcc/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -sizereward 1 -exppol cutcla > "$@"

out/bushy/1s/defcnf/montecop-170123-sr: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170123-sr/%)
out/bushy/1s/defcnf/montecop-170123-sr/%: cop-170123/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -sizereward 1 > "$@"

out/bushy/1s/defcnf/lazycop-170118-nocut: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/lazycop-170118-nocut/%)
out/bushy/1s/defcnf/lazycop-170118-nocut/%: cop-170118/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 -nocut1 -nocut2 -nocut3 > "$@"

out/bushy/1s/defcnf/lazycop-170118-single: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/lazycop-170118-single/%)
out/bushy/1s/defcnf/lazycop-170118-single/%: cop-170118/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"

out/bushy/1s/defcnf/montecop-170118-sr: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170118-sr/%)
out/bushy/1s/defcnf/montecop-170118-sr/%: cop-170118/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -mlreward 0 -sizereward 1 > "$@"

out/bushy/1s/defcnf/lazycop-170209-cut: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/lazycop-170209-cut/%)
out/bushy/1s/defcnf/lazycop-170209-cut/%: cop-170209/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  -schedule 0 > "$@"

out/bushy/1s/defcnf/lazycop-170209-nocut: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/lazycop-170209-nocut/%)
out/bushy/1s/defcnf/lazycop-170209-nocut/%: cop-170209/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  -schedule 0 -nocut1 -nocut2 -nocut3 > "$@"


MONTEPARAMS = -exppol cutlit -simdepth 50 -naivereward 1 -mlreward 0

out/bushy/1s/defcnf/montecop-170209: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209/%)
out/bushy/1s/defcnf/montecop-170209/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) > "$@"

out/bushy/1s/defcnf/montecop-170209-nocut: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-nocut/%)
out/bushy/1s/defcnf/montecop-170209-nocut/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -exppol fst > "$@"

out/bushy/1s/defcnf/montecop-170209-cutcla: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-cutcla/%)
out/bushy/1s/defcnf/montecop-170209-cutcla/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -exppol cutcla > "$@"

out/bushy/1s/defcnf/montecop-170209-constprob: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-constprob/%)
out/bushy/1s/defcnf/montecop-170209-constprob/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -constprob 1 -invprob 0 > "$@"

out/bushy/1s/defcnf/montecop-170209-bayesprob: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-bayesprob/%)
out/bushy/1s/defcnf/montecop-170209-bayesprob/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -bayesprob 1 -invprob 0 \
	  -cdata out/bushy/60s/defcnf/lazycop-170209-md10.cdata > "$@"

out/bushy/1s/defcnf/montecop-170209-randrew: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-randrew/%)
out/bushy/1s/defcnf/montecop-170209-randrew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -randreward 1 -naivereward 0 > "$@"

out/bushy/1s/defcnf/montecop-170209-sizerew: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-sizerew/%)
out/bushy/1s/defcnf/montecop-170209-sizerew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -sizereward 1 -naivereward 0 > "$@"

out/bushy/1s/defcnf/montecop-170209-mlrew: $(BUSHY:bushy/%=\
out/bushy/1s/defcnf/montecop-170209-mlrew/%)
out/bushy/1s/defcnf/montecop-170209-mlrew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ \
	  $(MONTEPARAMS) -mlreward 1 -naivereward 0 \
	  -ldata out/bushy/60s/defcnf/lazycop-170209-md10.ldata > "$@"

out/bushy/1s/defcnf/montecop-170209-all: \
  out/bushy/1s/defcnf/lazycop-170209-cut \
  out/bushy/1s/defcnf/lazycop-170209-nocut \
  out/bushy/1s/defcnf/montecop-170209 \
  out/bushy/1s/defcnf/montecop-170209-nocut \
  out/bushy/1s/defcnf/montecop-170209-cutcla \
  out/bushy/1s/defcnf/montecop-170209-constprob \
  out/bushy/1s/defcnf/montecop-170209-bayesprob \
  out/bushy/1s/defcnf/montecop-170209-randrew \
  out/bushy/1s/defcnf/montecop-170209-sizerew \
  out/bushy/1s/defcnf/montecop-170209-mlrew



################################################################################
# Bushy / 1s / nodefcnf
################################################################################

out/bushy/1s/nodefcnf/stackcop-170422: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/stackcop-170422/%)
out/bushy/1s/nodefcnf/stackcop-170422/%: cop-170422/stackcop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf > "$@"

out/bushy/1s/nodefcnf/conticop-170422: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/conticop-170422/%)
out/bushy/1s/nodefcnf/conticop-170422/%: cop-170422/conticop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf > "$@"

out/bushy/1s/nodefcnf/leancop-150530: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/leancop-150530/%)
out/bushy/1s/nodefcnf/leancop-150530/%: cop-150530/leancop bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodef > "$@"

out/bushy/1s/nodefcnf/leancop-151223: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/leancop-151223/%)
out/bushy/1s/nodefcnf/leancop-151223/%: cop-151223/leancop bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodef > "$@"

out/bushy/1s/nodefcnf/lazycop-170209-cut: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/lazycop-170209-cut/%)
out/bushy/1s/nodefcnf/lazycop-170209-cut/%: cop-170209/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  -schedule 0 > "$@"

out/bushy/1s/nodefcnf/lazycop-170209-nocut: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/lazycop-170209-nocut/%)
out/bushy/1s/nodefcnf/lazycop-170209-nocut/%: cop-170209/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  -schedule 0 -nocut1 -nocut2 -nocut3 > "$@"


MONTEPARAMS = -exppol cutlit -simdepth 50 -naivereward 1 -mlreward 0

out/bushy/1s/nodefcnf/montecop-170209: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209/%)
out/bushy/1s/nodefcnf/montecop-170209/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) > "$@"

out/bushy/1s/nodefcnf/montecop-170209-nocut: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-nocut/%)
out/bushy/1s/nodefcnf/montecop-170209-nocut/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -exppol fst > "$@"

out/bushy/1s/nodefcnf/montecop-170209-cutcla: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-cutcla/%)
out/bushy/1s/nodefcnf/montecop-170209-cutcla/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -exppol cutcla > "$@"

out/bushy/1s/nodefcnf/montecop-170209-constprob: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-constprob/%)
out/bushy/1s/nodefcnf/montecop-170209-constprob/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -constprob 1 -invprob 0 > "$@"

out/bushy/1s/nodefcnf/montecop-170209-bayesprob: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-bayesprob/%)
out/bushy/1s/nodefcnf/montecop-170209-bayesprob/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -bayesprob 1 -invprob 0 \
	  -cdata out/bushy/60s/lazycop-170207-ndc-md10.cdata > "$@"

out/bushy/1s/nodefcnf/montecop-170209-randrew: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-randrew/%)
out/bushy/1s/nodefcnf/montecop-170209-randrew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -randreward 1 -naivereward 0 > "$@"

out/bushy/1s/nodefcnf/montecop-170209-sizerew: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-sizerew/%)
out/bushy/1s/nodefcnf/montecop-170209-sizerew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -sizereward 1 -naivereward 0 > "$@"

out/bushy/1s/nodefcnf/montecop-170209-mlrew: $(BUSHY:bushy/%=\
out/bushy/1s/nodefcnf/montecop-170209-mlrew/%)
out/bushy/1s/nodefcnf/montecop-170209-mlrew/%: cop-170209/montecop.native bushy/%
	@mkdir -p "`dirname $@`"
	-/usr/bin/time -o "$@.time" timeout 1 $^ -nodefcnf \
	  $(MONTEPARAMS) -mlreward 1 -naivereward 0 \
	  -ldata out/bushy/60s/lazycop-170207-ndc-md10.ldata > "$@"

out/bushy/1s/nodefcnf/montecop-170209-all: \
  out/bushy/1s/nodefcnf/lazycop-170209-cut \
  out/bushy/1s/nodefcnf/lazycop-170209-nocut \
  out/bushy/1s/nodefcnf/montecop-170209 \
  out/bushy/1s/nodefcnf/montecop-170209-nocut \
  out/bushy/1s/nodefcnf/montecop-170209-cutcla \
  out/bushy/1s/nodefcnf/montecop-170209-constprob \
  out/bushy/1s/nodefcnf/montecop-170209-bayesprob \
  out/bushy/1s/nodefcnf/montecop-170209-randrew \
  out/bushy/1s/nodefcnf/montecop-170209-sizerew \
  out/bushy/1s/nodefcnf/montecop-170209-mlrew



################################################################################
# Bushy / 1s / diverse
################################################################################

out/bushy/1s/nanocop-161209-pl-nocomp: $(BUSHY:bushy/%=out/bushy/1s/nanocop-161209-pl-nocomp/%)
out/bushy/1s/nanocop-161209-pl-nocomp/%: cop-161209/nanocop/nanocop.sh bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ > "$@"

out/bushy/1s/lazycop-161209-single: $(BUSHY:bushy/%=out/bushy/1s/lazycop-161209-single/%)
out/bushy/1s/lazycop-161209-single/%: cop-161209/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"


out/bushy/1s/nanocop-161209-single: $(BUSHY:bushy/%=out/bushy/1s/nanocop-161209-single/%)
out/bushy/1s/nanocop-161209-single/%: cop-161209/nanocop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"

out/bushy/1s/nanocop-161206-fixsk-single: $(BUSHY:bushy/%=out/bushy/1s/nanocop-161206-fixsk-single/%)
out/bushy/1s/nanocop-161206-fixsk-single/%: cop-161206-fixsk/nanocop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"

out/bushy/1s/nanocop-161206-single: $(BUSHY:bushy/%=out/bushy/1s/nanocop-161206-single/%)
out/bushy/1s/nanocop-161206-single/%: cop-161206/nanocop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"

out/bushy/1s/lazycop-161205-single: $(BUSHY:bushy/%=out/bushy/1s/lazycop-161205-single/%)
out/bushy/1s/lazycop-161205-single/%: cop-161205/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"

out/bushy/1s/lazycop-161005-single: $(BUSHY:bushy/%=out/bushy/1s/lazycop-161005-single/%)
out/bushy/1s/lazycop-161005-single/%: cop-161005/lazycop.native bushy/%
	@mkdir -p "`dirname $@`"
	-time -o "$@.time" timeout 1 $^ -trace "$@.trace" -schedule 0 > "$@"
