ifndef COP_MK
COP_MK := 1

# do not delete Eclipse symlink after building
.SECONDARY:

cop-%: ../.git/refs/tags/cop-%
	git clone .. $@ && cd $@ && git checkout $@

# OCaml CoPs

%/all.native: %
	make -C $<

%/lazycop.native:    %/all.native ;
%/streamcop.native:  %/all.native ;
%/conticop.native:   %/all.native ;
%/stackcop.native:   %/all.native ;
%/nanocop.native:    %/all.native ;
%/montecop.native:   %/all.native ;
%/femalecop.native:  %/all.native ;
%/accumstats.native: %/all.native ;
%/hasher.native:     %/all.native ;

# Prolog CoPs

%/eclipse5: %
	ln -sfr ../eclipse5 $@

%/prolog/nanocop.sh: %/eclipse5 ;
%/prolog/leancop.sh: %/eclipse5 ;


# Legacy versions

cop-151209/meson: cop-151209
	$(MAKE) -C $< meson

%/leancop: %
	$(MAKE) -C $< leancop

%/hasher: %
	$(MAKE) -C $< hasher

%/plnanocop/nanocop.sh: %/eclipse5 ;

define hasher-wrap =
rm -f data datai
ln -s $(lastword $^) data
$(firstword $^) $1
rm data
mv datai $@
endef

endif
