BUSHY  := $(shell find bushy/  -type f | sort -R)
CHAINY := $(shell find chainy/ -type f | sort -R)

MPTP2078:
	git clone https://github.com/JUrban/$@ && cd $@ && git checkout bc58295

bushy: MPTP2078
	ln -s $</$@

chainy: MPTP2078
	7za x -so $</chainy.tar.7z | tar xf -

MPTPChallenge.tar.gz:
	wget http://www.cs.miami.edu/~tptp/MPTPChallenge/MPTPChallenge.tgz -O $@
	md5sum -c $@.md5

MPTPChallenge: MPTPChallenge.tar.gz
	tar xzf $<
