open Fof
open Term_random

let form_gen vs = QCheck.Gen.(sized (fix
  (fun self n -> match n with
    0 -> map atom (lit_gen small_nat)
  | n -> frequency
      [ 1, map  (fun t -> Neg t) (self (n/2))
      ; 1, map2 conj (self (n/2)) (self (n/2))
      ; 1, map2 disj (self (n/2)) (self (n/2))
      ]
  )))

let arbitrary_form = QCheck.make (form_gen [])
